from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.drawing import XShape

@runtime_checkable
class XControlShape(XShape, Protocol):
    def getControl(self) -> XControlModel: ...
    def setControl(self, xControl: XControlModel) -> None: ...
